### Name: specpool
### Title: Extrapolated Species Richness in a Species Pool
### Aliases: specpool specpool2vect poolaccum print.poolaccum
###   summary.poolaccum plot.poolaccum estimateR estimateR.default
###   estimateR.matrix estimateR.data.frame estaccumR
### Keywords: univar

### ** Examples

data(dune)
data(dune.env)
attach(dune.env)
pool <- specpool(dune, Management)
pool
op <- par(mfrow=c(1,2))
boxplot(specnumber(dune) ~ Management, col="hotpink", border="cyan3",
 notch=TRUE)
boxplot(specnumber(dune)/specpool2vect(pool) ~ Management, col="hotpink",
 border="cyan3", notch=TRUE)
par(op)
data(BCI)
## Accumulation model
pool <- poolaccum(BCI)
summary(pool, display = "chao")
plot(pool)
## Quantitative model
estimateR(BCI[1:5,])



